package com.ruoyi.ibs.list.mapper;

import com.ruoyi.ibs.list.domain.CustInfoRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 建档客户信息Mapper接口
 * 
 * @author ruoyi
 * @date 2024-12-19
 */
public interface CustInfoRecordMapper 
{
    /**
     * 查询建档客户信息
     * 
     * @param id 建档客户信息主键
     * @return 建档客户信息
     */
    public CustInfoRecord selectCustInfoRecordById(Long id);

    /**
     * 查询建档客户信息列表
     * 
     * @param custInfoRecord 建档客户信息
     * @return 建档客户信息集合
     */
    public List<CustInfoRecord> selectCustInfoRecordList(CustInfoRecord custInfoRecord);


    public List<CustInfoRecord> selectCustInfoRecordListByCustTypeAndKeywords(@Param("deptId")Long deptId, @Param("userName")String userName,@Param("custType")String custType,@Param("keyword") String keyword);

    public List<CustInfoRecord> selectHeadCustInfoRecordListByCustTypeAndKeywords(@Param("deptId")Long deptId,@Param("custType")String custType,@Param("keyword") String keyword);

    /**
     * 新增建档客户信息
     * 
     * @param custInfoRecord 建档客户信息
     * @return 结果
     */
    public int insertCustInfoRecord(CustInfoRecord custInfoRecord);

    /**
     * 修改建档客户信息
     * 
     * @param custInfoRecord 建档客户信息
     * @return 结果
     */
    public int updateCustInfoRecord(CustInfoRecord custInfoRecord);

    /**
     * 删除建档客户信息
     * 
     * @param id 建档客户信息主键
     * @return 结果
     */
    public int deleteCustInfoRecordById(Long id);

    /**
     * 批量删除建档客户信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCustInfoRecordByIds(Long[] ids);

    CustInfoRecord selectCustInfoRecordByCustTypeAndCustId(@Param("custType") String custType, @Param("custId") String custId);
}
